#
# lay2.rb

require "narray"
require "numru/advanceddcl"

include NumRu::AdvancedDCL
include NMath

nmax = 401
xmin = 1600.0
xmax = 2000.0

x = NArray.sfloat(nmax)
y = NArray.sfloat(nmax)

#-- data ----
x.indgen(xmin, (xmax-xmin)/(nmax-1))
y0 = 0.5
for n in 0..nmax-1
  y[n] = 5.0*y0 + 10.0
  y0   = 3.7*y0*(1.0-y0)
end

#-- graph ----
Dev.open
Frame.lfull = true
Frame.new

Fig.window = [xmin, xmax, 11.0, 15.0]
Fig.viewport = [0.15, 0.95, 0.15, 0.65]

Axis.title('TIME', 'YEAR', 'TEMPERATURE', 'DEG')
Axis.draw

Plot.draw(x, y)

Dev.close

