#
# u1d1.rb

require "narray"
require "numru/advanceddcl"

include NumRu::AdvancedDCL
include NMath

nmax = 51
xmin = 1945
xmax = 1995

y = NArray.sfloat(nmax)

#-- data ----
y0 = 0.5
for n in 0..nmax-1
  y[n] = 5.0*y0 + 10.0
  y0 = 3.7*y0*(1.0-y0)
end

rundef = Common.rundef

#-- graph ----
Dev.open
Frame.new

Fig.window = [xmin, xmax, rundef, rundef]
Axis.title('TIME', 'YEAR', 'TEMPERATURE', 'DEG')

Plot.draw(rundef, y)
Axis.draw

Dev.close

