require "narray"
require "numru/advanceddcl"

include NumRu::AdvancedDCL
include NMath

nx = 19
ny = 19
xmin = 0
xmax = 360
ymin = -90
ymax = 90
drad = PI/180
dz = 0.05
p = NArray.sfloat(nx, ny)
uy1 = NArray.sfloat(ny)
x = NArray.sfloat(nx)
#-- data ---
for j in 0..ny-1
  for i in 0..nx-1
    alon = (xmin + (xmax-xmin)*i/(nx-1)) * drad
    alat = (ymin + (ymax-ymin)*j/(ny-1)) * drad
    slat = sin(alat)
    p[i,j] = cos(alon) * (1-slat**2) * sin(2*PI*slat) + dz
  end
end
uy1.indgen(ymin, (ymax-ymin)/(ny-1))
x = x.indgen(xmin, (xmax-xmin)/(nx-1))
#-- graph ---
Dev.open("X")

Frame.new
Fig.window=[xmin, xmax, ymin, ymax]
Fig.viewport=[0.2, 0.8, 0.2, 0.8]
Fig.transnum=1

Axis.draw(p)
Contour.draw(p, x, uy1)

Dev.close
