#
# kihon3.rb

require "narray"
require "numru/advanceddcl"

include NumRu::AdvancedDCL
include Math

nmax = 40
imax = 7
dt = 4.0*PI/nmax

x = NArray.sfloat(nmax+1)
y = NArray.sfloat(nmax+1, imax)

#-- data ----
x = x.indgen * 1.0/nmax
for n in 0..nmax
  for i in 0..imax-1
    y[n,i] = 0.2*sin(n*dt) + 0.8 - 0.1*i
  end
end

#-- graph ----
Dev.open

#-- marker type : frame 1 --
Frame.new
Frame.pvpr(1) 

Mark.vdraw(x, y[true,0])

for i in 1..imax-1
  itype = i + 1
  Mark.marktype=itype
  Mark.vdraw(x, y[true,i])
end

#-- marker size : frame 2 --
Frame.new
Frame.pvpr(1) 

Mark.marktype=10
Mark.vdraw(x, y[true,0])

for i in 1..imax-1
  rsize = 0.005*i
  Mark.marksize=rsize
  Mark.vdraw(x, y[true,i])
end

Dev.close
