#
# kihon5.rb

require "narray"
require "numru/advanceddcl"

include NumRu::AdvancedDCL
include NMath

nmax = 40
imax = 4

x = NArray.sfloat(nmax+1, imax)
y = NArray.sfloat(nmax+1, imax)
xc = NArray[0.25, 0.75, 0.25, 0.75]
yc = NArray[0.75, 0.75, 0.25, 0.25]

#-- data ----
dt = 2*PI/6
for n in 0..5
  for i in 0..imax-2
    x[n,i] = 0.2*cos(n*dt) + xc[i]  
    y[n,i] = 0.2*sin(n*dt) + yc[i]  
  end
end

dt = 4*PI/nmax
for n in 0..nmax
  x[n,imax-1] = 0.4*n/nmax - 0.2 + xc[imax-1]
  y[n,imax-1] = 0.2*sin(n*dt) + yc[imax-1]
end

#-- graph ----
Dev.open

Tone.lsoftf=true
Frame.new

#-- default ----
Tone.vfill(x[0..5,0], y[0..5,0])

#-- tone pattern ----
Tone.tonepat=3
Tone.vfill(x[0..5,1], y[0..5,1])

Tone.tonepat=601
Tone.vfill(x[0..5,2], y[0..5,2])

#-- twisted polygon ----
Tone.vfill(x[true,3], y[true,3])

Dev.close
