#
# kihonb.rb


require "narray"
require "numru/advanceddcl"
include NumRu::AdvancedDCL
include NMath


nmax = 9
y = NArray.sfloat(nmax)

#-- graph ---
Dev.open

Frame.new

x1 = 0.1
x2 = 0.9
xc = 0.5

#-- r ----
for n in 1..nmax
  y[n-1] = 0.1*(10-n)
  Plot.vdraw([x1, x2], [y[n-1], y[n-1]])
end

Plot.vdraw([xc, xc],[0.05, 0.95])

#-- ftHg ----
Text.vdraw(xc, y[0], 'SGTXV|SUP"RST_SUB"')

#-- Y ----
Text.lcntl=true
Text.vdraw(xc, y[1], 'SGTXV|SUP"RST_SUB"')

Text.small= 0.5
Text.shift= 0.5
Text.vdraw(xc, y[2], 'SGTXV|SUP"RST_SUB"')

#-- tHg ----
Text.vdraw(xc, y[3], 'ABCDEFG abcdefg')

Text.ifont=2
Text.vdraw(xc, y[4], 'ABCDEFG abcdefg')

Text.vdraw(xc, y[5], 'ABCDEFG abcdefg', "charindex"=>3)

Text.ifont= 1

#-- MV ----
greek1 = Text.spchar(128) + Text.spchar(129) + Text.spchar(130) + Text.spchar(131) + Text.spchar(132) +
         Text.spchar(133) + Text.spchar(134) + Text.spchar(135) + Text.spchar(136) + Text.spchar(137)
greek2 = Text.spchar(152) + Text.spchar(153) + Text.spchar(154) + Text.spchar(155) + Text.spchar(156) +
         Text.spchar(157) + Text.spchar(158) + Text.spchar(159) + Text.spchar(160) + Text.spchar(161)

Text.vdraw(xc, y[6], greek1)
Text.vdraw(xc, y[7], greek2)

#-- L ----
symbol = Text.spchar(189) + Text.spchar(190) + Text.spchar(191) + Text.spchar(192) + Text.spchar(193) +
         Text.spchar(210) + Text.spchar(211) + Text.spchar(212) + Text.spchar(217) + Text.spchar(218)

Text.vdraw(xc, y[8], symbol)

Dev.close

