#
# quick4.rb

require "narray"
require "numru/advanceddcl"

include NumRu::AdvancedDCL
include NMath

nx = 37
ny = 37
xmin = 0
xmax = 360
ymin = -90
ymax = 90
drad = PI/180

p = NArray.sfloat(nx, ny)

#-- data ----
for j in 0..ny-1
  for i in 0..nx-1
    alon = (xmin + (xmax-xmin)*i/(nx-1))*drad
    alat = (ymin + (ymax-ymin)*j/(ny-1))*drad
    slat = sin(alat)
    p[i,j] = 3*sqrt(1-slat**2)*slat*cos(alon) - 0.5*(3*slat**2-1)
  end
end

#-- graph ----
Dev.open
Frame.new

Fig.window=[xmin,xmax,ymin,ymax]
Fig.viewport=[0.2, 0.8, 0.2, 0.8]
Fig.transnum=1

Tone.draw(p)
Axis.draw
Contour.draw(p)

Dev.close
